com.independentsoft.msg

## Enum PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyType>
  - - com.independentsoft.msg.PropertyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PropertyType>

      public enum PropertyType
      extends java.lang.Enum<PropertyType>

  The Enum PropertyType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY`
    `BOOLEAN`
    `CURRENCY`
    `ERROR_CODE`
    `FLOATING_TIME`
    `FLOATING32`
    `FLOATING64`
    `GUID`
    `INTEGER16`
    `INTEGER32`
    `INTEGER64`
    `MULTIPLE_BINARY`
    `MULTIPLE_CURRENCY`
    `MULTIPLE_FLOATING_TIME`
    `MULTIPLE_FLOATING32`
    `MULTIPLE_FLOATING64`
    `MULTIPLE_GUID`
    `MULTIPLE_INTEGER16`
    `MULTIPLE_INTEGER32`
    `MULTIPLE_INTEGER64`
    `MULTIPLE_STRING`
    `MULTIPLE_STRING8`
    `MULTIPLE_TIME`
    `OBJECT`
    `STRING`
    `STRING8`
    `TIME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER16

          public static final PropertyType INTEGER16

    - #### INTEGER32

          public static final PropertyType INTEGER32

    - #### FLOATING32

          public static final PropertyType FLOATING32

    - #### FLOATING64

          public static final PropertyType FLOATING64

    - #### CURRENCY

          public static final PropertyType CURRENCY

    - #### FLOATING_TIME

          public static final PropertyType FLOATING_TIME

    - #### ERROR_CODE

          public static final PropertyType ERROR_CODE

    - #### BOOLEAN

          public static final PropertyType BOOLEAN

    - #### INTEGER64

          public static final PropertyType INTEGER64

    - #### TIME

          public static final PropertyType TIME

    - #### STRING

          public static final PropertyType STRING

    - #### BINARY

          public static final PropertyType BINARY

    - #### STRING8

          public static final PropertyType STRING8

    - #### GUID

          public static final PropertyType GUID

    - #### OBJECT

          public static final PropertyType OBJECT

    - #### MULTIPLE_INTEGER16

          public static final PropertyType MULTIPLE_INTEGER16

    - #### MULTIPLE_INTEGER32

          public static final PropertyType MULTIPLE_INTEGER32

    - #### MULTIPLE_FLOATING32

          public static final PropertyType MULTIPLE_FLOATING32

    - #### MULTIPLE_FLOATING64

          public static final PropertyType MULTIPLE_FLOATING64

    - #### MULTIPLE_CURRENCY

          public static final PropertyType MULTIPLE_CURRENCY

    - #### MULTIPLE_FLOATING_TIME

          public static final PropertyType MULTIPLE_FLOATING_TIME

    - #### MULTIPLE_INTEGER64

          public static final PropertyType MULTIPLE_INTEGER64

    - #### MULTIPLE_GUID

          public static final PropertyType MULTIPLE_GUID

    - #### MULTIPLE_TIME

          public static final PropertyType MULTIPLE_TIME

    - #### MULTIPLE_STRING

          public static final PropertyType MULTIPLE_STRING

    - #### MULTIPLE_BINARY

          public static final PropertyType MULTIPLE_BINARY

    - #### MULTIPLE_STRING8

          public static final PropertyType MULTIPLE_STRING8

  - ### Method Detail

    - #### values

          public static PropertyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyType c : PropertyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null